package dev.fyloz.colorrecipesexplorer.model

/** The model of a stored entity. Each model should implements its own equals and hashCode methods to keep compatibility with the legacy Java and Thymeleaf code. */
interface Model {
    val id: Long?
}

interface NamedModel : Model {
    val name: String
}

interface EntityDto<out E> {
    /** Converts the dto to an actual entity. */
    fun toEntity(): E {
        throw UnsupportedOperationException()
    }
}

// GENERAL VALIDATION MESSAGES
const val VALIDATION_SIZE_GE_ZERO = "Must be greater or equals to 0"
const val VALIDATION_SIZE_GE_ONE = "Must be greater or equals to 1"
const val VALIDATION_RANGE_PERCENTS = "Must be between 0 and 100"
